Skip to main content
GET
/
contacts
/
{contact_id}
Get contact
curl --request GET \
  --url https://api.getpg.ai/public-api/v1/contacts/{contact_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "deb3474b-5836-492c-aca4-4e0ccc8afbae",
  "full_name": "Iain Donachie",
  "first_name": "Iain",
  "last_name": "Donachie",
  "current_job_title": "Head of Gift Cards UK & Ireland, Tesco",
  "linkedin_url": "https://www.linkedin.com/in/iain-donachie-6bb3406",
  "location": "Edinburgh, Scotland, United Kingdom",
  "country": "United Kingdom",
  "headline": "Senior Product Leader with 18 years' experience driving strategic growth in Payments & Financial services.",
  "summary": "",
  "emails": [],
  "phones": [],
  "skills": [
    "Sales Planning",
    "P&L Management",
    "Banking",
    "Project Management",
    "Marketing Strategy"
  ],
  "company": {
    "name": "Gift Card & Voucher Association (GCVA)",
    "linkedin_id": "5010524"
  },
  "experience": [
    {
      "job_id": "5657045b-84f0-444f-906c-59cdae0ffb3c",
      "company_id": "304599c3-212f-4122-b84a-d655a1455d31",
      "company": "Gift Card & Voucher Association (GCVA)",
      "title": "Non Executive Director on GCVA Board",
      "start_date": "2026-01-01T00:00:00.000Z",
      "end_date": null,
      "is_current": true
    },
    {
      "job_id": "9cc6abde-af26-4184-8f24-3caa4f96eb0a",
      "company_id": "304599c3-212f-4122-b84a-d655a1455d31",
      "company": "Tesco",
      "title": "Head of Gift Cards UK & Ireland, Tesco",
      "location": "Edinburgh, Scotland, United Kingdom",
      "start_date": "2025-02-01T00:00:00.000Z",
      "end_date": null,
      "is_current": true
    }
  ],
  "education": [
    {
      "degree": "BA Honours",
      "field_of_study": "Economics",
      "school": "University of Paisley",
      "start_year": 1993,
      "end_year": 1998
    }
  ],
  "created_at": "2026-04-01T12:47:07.324Z",
  "updated_at": null
}

Authorizations

x-api-key
string
header
required

Your PG:AI API key. Generate one from Settings → API Keys in the PG:AI dashboard.

Path Parameters

contact_id
string<uuid>
required

Response

Full contact record

Full contact record with experience, education, and skills

id
string<uuid>
full_name
string
first_name
string
last_name
string
current_job_title
string | null
linkedin_url
string<uri> | null
location
string | null
country
string | null
headline
string | null
summary
string | null
emails
string<email>[]
phones
string[]
skills
string[]
company
object
experience
object[]
education
object[]
created_at
string<date-time>
updated_at
string<date-time> | null